Bug 513692 - ifdown on nVidia CK804 (rev f3) NIC doesn't work
Summary: ifdown on nVidia CK804 (rev f3) NIC doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ivan Vecera
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 492199
Blocks: 499522 533192 525215 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-07-24 19:58 UTC by Marc Milgram
Modified: 2018-10-27 15:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 492199
Environment:
Last Closed: 2010-03-30 06:53:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
re-add power down phy patch (1.13 KB, patch)
2009-08-07 23:28 UTC, Dave Maley
no flags Details | Diff
add phy_power_down parameter (1.90 KB, patch)
2009-08-07 23:29 UTC, Dave Maley
no flags Details | Diff
reset phy state on resume (594 bytes, patch)
2009-08-07 23:29 UTC, Dave Maley
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Comment 3 Dave Maley 2009-08-07 23:26:01 UTC
*adding public comment w/ description from original bug this was cloned from*


+++ This bug was initially created as a clone of Bug #492199 +++

Description of problem:
doing an ifdown on an interface using the below nic does not work properly:

80:0a.0 Ethernet controller: nVidia Corporation CK804 Ethernet Controller (rev f3)

The customer noticed this problem when he switched down one of the interfaces in a bond (using ifconfig ethX down). The IP address is deassigned from the interface, but the link is up and the kernel keeps using this interface as the current active one in the bond.  As the result, the connectivity via the bond interface is lost.

The customer has also reproduced the problem w/out bonding being involved.


How reproducible:
every time


Steps to Reproduce:
1. ifdown ethX
2.


Actual results:
physical link remains


Expected results:
interface/link shutdown completely

Comment 4 Dave Maley 2009-08-07 23:28:48 UTC
Created attachment 356735 [details]
re-add power down phy patch

Comment 5 Dave Maley 2009-08-07 23:29:23 UTC
Created attachment 356736 [details]
add phy_power_down parameter

Comment 6 Dave Maley 2009-08-07 23:29:51 UTC
Created attachment 356737 [details]
reset phy state on resume

Comment 8 Dave Maley 2009-08-07 23:57:20 UTC
additional note: the attached patches were created against kernel-2.6.18-162.el5

Comment 15 Don Zickus 2009-11-10 16:50:58 UTC
in kernel-2.6.18-173.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 21 errata-xmlrpc 2010-03-30 06:53:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.